Subject: [spring] Please stop with the nonsense: Adoption call criteria for CRH? [was: Re: CRH and RH0]

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 15 May 2020 19:50:30 +0100

Please stop this. It is absolutely no way to conduct yourself on an IETF mailing list.

While it is true that one of the signatories of the appeal to which you refer is also an author of draft-bonica-6man-comp-rtg-hdr you should not:

*	Write words that imply that all of the authors are associated with the appeal
*	State that the appeal is “a political attack”

We have process and rules. The wheels are turning (albeit slowly). 

Everyone: please continue with the technical discussions of the merits or otherwise of various proposals and stop using IETF lists to make comments about people’s motives or actions. Consider how your behaviour looks to others, especially newcomers to the IETF.

Thank you.

Adrian

From: ipv6 <[email-masked]> On Behalf Of Zafar Ali (zali)
Sent: 15 May 2020 17:43
To: Andrew Alston <[email-masked]>; John Scudder <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: Adoption call criteria for CRH? [was: Re: CRH and RH0]

Hi Andrew, 

Now that you mentioned you are “SHOCKED that more people cannot see the smoke and mirrors” …  

let me remind everyone. 

CRH work is to propose an alternative encapsulation in SPRING against SRH. 

There are several SRH/SRv6 net pgm compliant compression techniques that are far better than CRH proposal (in efficiency) and that requires no SRH change and no SRv6 CP change [list-of-competing-solutions].  

It appears, not able to defend against that argument, the authors took a strange path:   

*	Launched a political attack against the SPRING chairs and AD via calls for resignation and subsequent appeals resulting in derailing work in SPRING, including all work on compression (of which SRm6 was one option). 
*	Removed all reference to SRm6 from this CRH document. 
*	Attempted to get 6man to adopt CRH ahead of SPRING resuming its work on compression.  

Yes, people can see the smoke and mirrors. 

Ref: List of competing solutions in SPRING

[1] https://datatracker.ietf.org/doc/draft-cl-spring-generalized-srv6-np/?include_text=1 

[2] https://datatracker.ietf.org/doc/draft-li-spring-compressed-srv6-np/?include_text=1 

[3] https://datatracker.ietf.org/doc/draft-mirsky-6man-unified-id-sr/?include_text=1 

[4] https://datatracker.ietf.org/doc/draft-decraene-spring-srv6-vlsid/ 

[5] https://datatracker.ietf.org/doc/draft-filsfils-spring-net-pgm-extension-srv6-usid/?include_text=1 

Thanks

Regards … Zafar

From: Andrew Alston <[email-masked] <mailto:[email-masked]> >
Date: Friday, May 15, 2020 at 9:15 AM
To: "Zafar Ali (zali)" <[email-masked] <mailto:[email-masked]> >, John Scudder <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >
Cc: "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >
Subject: RE: Adoption call criteria for CRH? [was: Re: CRH and RH0]

Zafar,

Let me give another perspective on this.

In Montreal – people screamed – no use case – a use case was provided – and for months after – people kept screaming – no use case – until they couldn’t scream it anymore because the mails showed clearly that use cases had been supplied

Then – we moved onto the “We need an architecture” – and you yourself misquoted a participant in 6man claiming they demanded an architecture – when they clearly didn’t – see the interim meeting minutes – and when it was claimed that this is a building block – 

It became – omg its an rh0 replacement – and pick on that aspect of it.

(Those last 2 might be in different orders)

Then – there was this bizarre claim that a vendor “wanted” something despite the fact that they hadn’t said it.

What I can say is – rather that come with technical arguments against it – what I am seeing is smoke and mirrors – pulling things out of thing air – twisting words – trying to mis-portray things – and the only reason for that is – because there are no solid technical arguments against it.  I am SHOCKED that more people cannot see the smoke and mirrors and twisting of words going on here.

Because from my perspective – when someone runs out of ideas – they start making things up out of thin air – one after another – please – see my earlier email about obstruction and how its not helping any of us.

Lets debate the document on technical merits – what are your direct technical arguments against this – or are we continue to continue with misdirection?

Andrew

From: ipv6 <[email-masked] <mailto:[email-masked]> > On Behalf Of Zafar Ali (zali)
Sent: Friday, 15 May 2020 15:54
To: John Scudder <jgs=[email-masked] <mailto:jgs=[email-masked]> >; [email-masked] <mailto:[email-masked]> 
Cc: [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> 
Subject: Re: Adoption call criteria for CRH? [was: Re: CRH and RH0]

Hi John,  

You’ll recall what the 6man chairs said in Montreal and Singapore regarding CRH: 

During Spring session [1]:   

“[Bob Hinden]  As 6man co-chair, would like to understand whether SPRING is interested in this work.” 

Bob reiterated the same message during Singapore IETF [https://mailarchive.ietf.org/arch/msg/ipv6/aWkqPfpvDRyjrW8snR8TCohxcBg/] 

“Regarding the Spring related drafts … <snip> We did not see very much value in also discussing them in 6man.   Once items have been adopted in Spring, we think it is appropriate to adopt the IPv6 relevant parts, but that’s not yet the case now.” 

Nothing has changed w.r.t. the competing solution review in Spring since Singapore. 

Instead of following the chair’s direction, in Feb 2020 the authors of CRH just simply removed normative reference to the SRm6 to get 6man adopt CRH ahead of SPRING compression discussion..  

To achieve the said goal, the authors of CRH draft first positioned it as a replacement of RH0.  

Now RH0 has been removed from CRH draft.  

There is no longer any architecture and use-case to justify adoption call for CRH.  

It is clear to all that the current draft and adoption request is an attempt to circumvent the standard practice. 

Ref: 

[1] https://datatracker.ietf.org/meeting/105/materials/minutes-105-spring-00

Video: Under: Ron’s session on IPv6 Support for Segment Routing: SRv6+       (10:44) 

Thanks

Regards … Zafar 

From: ipv6 <[email-masked] <mailto:[email-masked]> > on behalf of John Scudder <jgs=[email-masked] <mailto:jgs=[email-masked]> >
Date: Wednesday, May 13, 2020 at 4:02 PM
To: "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >
Cc: "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >
Subject: Adoption call criteria for CRH? [was: Re: CRH and RH0]

I’m a little confused about this conversation and I’d like to ask the chairs for clarification. My actual questions are at the end of this long(ish) message, and can be summarized as (1) does 6man require consent from SPRING before defining routing headers, and (2) what criteria are the chairs using to decide when an adoption call is OK?

It seems to me there are at least two, only vaguely related, conversations going on. One of them is a debate about the assertion that 6man can’t even consider taking up CRH unless SPRING approves it. The other is a more free-wheeling line of questioning about “what is CRH for anyway”? 

I presume both of these relate to Ron’s request for an adoption call. Here’s what the minutes from the interim have:

Bob: Thank you Ron. I think it's too early for adoption call.

Ron: What is needed to get to adoption call.

Bob: I can't answer right now.

Ron: Can I ask on list?

Bob: OK.

Ole: Related to what's going on in spring.

Too bad we have no audio recording, but that’s not too far from my recollection. Anyway, I don’t think I’ve seen this answered on list yet, so I’m asking again.

Regarding the SPRING-related process stuff:

I have quite a bit of history with how SPRING was chartered; I was one of the original co-chairs and helped write the charter, god help me. I can tell you for certain there was no intent that SPRING should have exclusive ownership of source routing in the IETF, the name isn’t a power-grab, it’s a clever backronym, as we do in the IETF. If one entity in the IETF were to take charge of all source routing, that sounds more like a new area than a WG. But don’t take my word for it, go read the various iterations of the charter. As anyone who’s looked at the Segment Routing document set can tell, Segment Routing is one, very specific, way of doing source routing. As Ketan and others have pointed out, it’s a pile of architecture plus the bits and pieces to instantiate that architecture. That is fine, but the idea that merely because a technology might be used to instantiate part of that architecture, it’s owned by SPRING, is overreach. Just because a sandwich is a filling between two pieces of starch, doesn’t mean every filling between two pieces of starch is a sandwich. [1]

But at any rate, the question for the chairs is: do you think 6man needs SPRING’s permission in order to consider adopting CRH? Does 6man need permission from SPRING for all routing headers, or just some, and if it’s just some, what characterizes them?

Regarding the more general “what is CRH for anyway” stuff:

This seems to me to be exactly the kind of discussion one would normally have in the context of an adoption call. Why is it not being had in that context? To rewind back to the interim, if it’s still “too early for adoption call”, what has to happen for it not to be too early?

Thanks,

—John

[1] https://cuberule.com

--------------------------------------------------------------------

IETF IPv6 working group mailing list

[email-masked] <mailto:[email-masked]> 

Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6

--------------------------------------------------------------------